package com.org.web.data.domain;


import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * 数据统计
 */
@Data
public class DataStatistics {

    List<DataStatisticsItem> sexList = new ArrayList<>();

    List<DataStatisticsItem> ageList = new ArrayList<>();

    List<DataStatisticsItem> nursingLevelList = new ArrayList<>();

    List<DataStatisticsItem> ifHelpPoorList = new ArrayList<>();


    int ljrzCount = 0;
    int jnrzCount = 0;
    int byxzCount = 0;
    int mqzyCount = 0;
    int wcjyCount = 0;
    int jnjyCount = 0;

    BigDecimal jzgyRate = BigDecimal.ZERO;
    BigDecimal fsgyRate = BigDecimal.ZERO;

    // 在院人数村籍榜
    List<DataStatisticsItem> villageRankList = new ArrayList<>();

    // 入住情况
    List<DataStatisticsItem> roomTypeList = new ArrayList<>();
    List<DataStatisticsItem> roomCountList = new ArrayList<>();

    // 各村供养情况
    List<DataStatisticsItem> villageCountList = new ArrayList<>();

}
